Package be.fgov.ehealth.mycarenet.commons.protocol.v3

# Class SendRequestType

java.lang.Object
be.fgov.ehealth.commons.protocol.v2.RequestType
be.fgov.ehealth.mycarenet.commons.protocol.v3.SendRequestType

All Implemented Interfaces:
  `Serializable`

Direct Known Subclasses:
  `MemberDataConsultationRequest`

@Generated(value="com.sun.tools.xjc.Driver", date="2025-09-16T05:15:04+02:00", comments="JAXB RI v4.0.5") public class SendRequestType extends RequestType implements Serializable
Generic synchronised request type.

Java class for SendRequestType complex type

.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="SendRequestType">
       <complexContent>
         <extension base="{urn:be:fgov:ehealth:commons:protocol:v2}RequestType">
           <sequence>
             <element name="CommonInput" type="{urn:be:fgov:ehealth:mycarenet:commons:core:v3}CommonInputType"/>
             <element name="Routing" type="{urn:be:fgov:ehealth:mycarenet:commons:core:v3}RoutingType" minOccurs="0"/>
             <element name="Detail" type="{urn:be:fgov:ehealth:mycarenet:commons:core:v3}BlobType"/>
             <element name="Xades" type="{http://www.w3.org/2005/05/xmlmime}base64Binary" minOccurs="0"/>
           </sequence>
         </extension>
       </complexContent>
     </complexType>

See Also:
  - Serialized Form

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `SendRequestType()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `CommonInputType`
  `getCommonInput()`
  Gets the value of the commonInput property.
  `BlobType`
  `getDetail()`
  ContentType: text/xml.
  `RoutingType`
  `getRouting()`
  Gets the value of the routing property.
  `Base64Binary`
  `getXades()`
  The Xades signature is based on XMLDSig and comes in several variant.
  `void`
  `setCommonInput(CommonInputType value)`
  Sets the value of the commonInput property.
  `void`
  `setDetail(BlobType value)`
  Sets the value of the detail property.
  `void`
  `setRouting(RoutingType value)`
  Sets the value of the routing property.
  `void`
  `setXades(Base64Binary value)`
  Sets the value of the xades property.

  ### Methods inherited from class be.fgov.ehealth.commons.protocol.v2.RequestType

  `getId, getIssueInstant, setId, setIssueInstant`

  ### Methods inherited from class java.lang.Object

  `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### SendRequestType

    public SendRequestType()

- ## Method Details

  - ### getCommonInput

    public CommonInputType getCommonInput()
    Gets the value of the commonInput property.
    Returns:
      possible object is `CommonInputType`

  - ### setCommonInput

    public void setCommonInput(CommonInputType value)
    Sets the value of the commonInput property.
    Parameters:
      `value` - allowed object is `CommonInputType`

  - ### getRouting

    public RoutingType getRouting()
    Gets the value of the routing property.
    Returns:
      possible object is `RoutingType`

  - ### setRouting

    public void setRouting(RoutingType value)
    Sets the value of the routing property.
    Parameters:
      `value` - allowed object is `RoutingType`

  - ### getDetail

    public BlobType getDetail()
    ContentType: text/xml. ContentEncoding: none. MessageName: GMD-Notify-CR, GMD-Consult-CR (Async: GMD-Consult-HCP-REQ/RSP, GMD-Closure-RSP, GMD-Extension-RSP)
    Returns:
      possible object is `BlobType`

  - ### setDetail

    public void setDetail(BlobType value)
    Sets the value of the detail property.
    Parameters:
      `value` - allowed object is `BlobType`
    See Also:
      - `getDetail()`

  - ### getXades

    public Base64Binary getXades()
    The Xades signature is based on XMLDSig and comes in several variant. Of the 2 base variants, MyCareNet uses the Xades-BES. Of the different Xades extensions, only Xades-T is used.
    Returns:
      possible object is `Base64Binary`

  - ### setXades

    public void setXades(Base64Binary value)
    Sets the value of the xades property.
    Parameters:
      `value` - allowed object is `Base64Binary`
    See Also:
      - `getXades()`